use leptos::*;

/// Navigation bar
#[component]
pub fn Add() -> impl IntoView {
    let websocket = expect_context::<crate::util::surrealdb::SurrealContext>();
    let participants = expect_context::<crate::util::surrealdb::ParticipantsContext>();

    let (name, set_name) = create_signal(String::from(""));
    let (error, set_error) = create_signal(String::from(""));

    let on_submit = move |ev: leptos::ev::SubmitEvent| {
        ev.prevent_default();
        set_error.set(String::from(""));
        /*
        match websocket.add_person(name.get(), group.get()) {
            Ok(_) => set_name.set(String::from("")),
            Err(err) => set_error.set(err),
        }
        */
    };

    view! {
        <h1>"Tijd toevoegen"</h1>
        <p>{ move || format!("{:?}", participants.read.get()) }</p>
        <form class="add" on:submit=on_submit>
            <input type="text"
                placeholder="Name"
                on:input=move |ev| {
                    set_name.set(event_target_value(&ev));
                }
                prop:value=name
            />
            <input type="submit" value="Submit" />
        </form>
        <p class="error">
            { error }
        </p>
    }
}
